unit dmu;

interface

uses
  SysUtils, Classes, DB, ADODB;

type
  Tdm = class(TDataModule)
    DataSource3: TDataSource;
    DataSource2: TDataSource;
    tbl4: TADOTable;
    tbl2: TADOTable;
    DataSource1: TDataSource;
    tbl1: TADOTable;
    tbl3: TADOTable;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dm: Tdm;

implementation

{$R *.dfm}

end.
